diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/helper/uan-helper.h ns-3.44/src/uan/helper/uan-helper.h
--- ns-3.43/src/uan/helper/uan-helper.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/helper/uan-helper.h	2025-03-09 16:55:49.731372400 -0700
@@ -23,7 +23,7 @@
 class UanChannel;
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * UAN configuration helper.
  */
@@ -36,9 +36,9 @@
     /**
      * Set MAC attributes.
      *
-     * \tparam Ts \deduced Argument types
-     * \param type The type of ns3::UanMac to create.
-     * \param [in] args Name and AttributeValue pairs to set.
+     * @tparam Ts \deduced Argument types
+     * @param type The type of ns3::UanMac to create.
+     * @param [in] args Name and AttributeValue pairs to set.
      *
      * All the attributes specified in this method should exist
      * in the requested mac.
@@ -49,9 +49,9 @@
     /**
      * Set PHY attributes.
      *
-     * \tparam Ts \deduced Argument types
-     * \param phyType The type of ns3::UanPhy to create.
-     * \param [in] args Name and AttributeValue pairs to set.
+     * @tparam Ts \deduced Argument types
+     * @param phyType The type of ns3::UanPhy to create.
+     * @param [in] args Name and AttributeValue pairs to set.
      *
      * All the attributes specified in this method should exist
      * in the requested Phy.
@@ -62,9 +62,9 @@
     /**
      * Set the transducer attributes.
      *
-     * \tparam Ts \deduced Argument types
-     * \param type The type of ns3::Transducer to create.
-     * \param [in] args Name and AttributeValue pairs to set.
+     * @tparam Ts \deduced Argument types
+     * @param type The type of ns3::Transducer to create.
+     * @param [in] args Name and AttributeValue pairs to set.
      *
      * All the attributes specified in this method should exist
      * in the requested transducer.
@@ -76,9 +76,9 @@
      * specified nodeid if it is of type ns3::UanNetDevice and dump
      * that to the specified stdc++ output stream.
      *
-     * \param os Output stream.
-     * \param nodeid The id of the node to generate ascii output for.
-     * \param deviceid The id of the device to generate ascii output for.
+     * @param os Output stream.
+     * @param nodeid The id of the node to generate ascii output for.
+     * @param deviceid The id of the device to generate ascii output for.
      */
     static void EnableAscii(std::ostream& os, uint32_t nodeid, uint32_t deviceid);
     /**
@@ -87,8 +87,8 @@
      * device container and dump that to the specified
      * stdc++ output stream.
      *
-     * \param os Output stream.
-     * \param d Device container.
+     * @param os Output stream.
+     * @param d Device container.
      */
     static void EnableAscii(std::ostream& os, NetDeviceContainer d);
     /**
@@ -97,8 +97,8 @@
      * of the input node and dump that to the specified
      * stdc++ output stream.
      *
-     * \param os Output stream.
-     * \param n Node container.
+     * @param os Output stream.
+     * @param n Node container.
      */
     static void EnableAscii(std::ostream& os, NodeContainer n);
     /**
@@ -106,7 +106,7 @@
      * ns3::UanNetDevice type and dump that to the specified
      * stdc++ output stream.
      *
-     * \param os Output stream.
+     * @param os Output stream.
      */
     static void EnableAsciiAll(std::ostream& os);
 
@@ -120,8 +120,8 @@
      * attributes specified in UanHelper::SetTransducer,
      * UanHelper::SetMac, and, UanHelper::SetPhy.
      *
-     * \param c A set of nodes.
-     * \return The installed netdevices.
+     * @param c A set of nodes.
+     * @return The installed netdevices.
      */
     NetDeviceContainer Install(NodeContainer c) const;
 
@@ -133,9 +133,9 @@
      * specified in UanHelper::SetTransducer, UanHelper::SetMac, and
      * UanHelper::SetPhy.
      *
-     * \param c A set of nodes.
-     * \param channel A channel to use.
-     * \return The installed netdevices.
+     * @param c A set of nodes.
+     * @param channel A channel to use.
+     * @return The installed netdevices.
      */
     NetDeviceContainer Install(NodeContainer c, Ptr<UanChannel> channel) const;
 
@@ -151,9 +151,9 @@
      * Channel, physical layer, transducer and mac layer are added to the
      * UanNetDevice and then added to the node.
      *
-     * \param node A node where to install the uan components.
-     * \param channel A channel to use.
-     * \return The installed UanNetDevice.
+     * @param node A node where to install the uan components.
+     * @param channel A channel to use.
+     * @return The installed UanNetDevice.
      */
     Ptr<UanNetDevice> Install(Ptr<Node> node, Ptr<UanChannel> channel) const;
 
@@ -163,10 +163,10 @@
      * have been assigned. The Install() method should have previously been
      * called by the user.
      *
-     * \param c NetDeviceContainer of the set of net devices for which the
+     * @param c NetDeviceContainer of the set of net devices for which the
      *          UanNetDevice should be modified to use a fixed stream.
-     * \param stream First stream index to use.
-     * \return The number of stream indices assigned by this helper.
+     * @param stream First stream index to use.
+     * @return The number of stream indices assigned by this helper.
      */
     int64_t AssignStreams(NetDeviceContainer c, int64_t stream);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/acoustic-modem-energy-model.cc ns-3.44/src/uan/model/acoustic-modem-energy-model.cc
--- ns-3.43/src/uan/model/acoustic-modem-energy-model.cc	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/acoustic-modem-energy-model.cc	2025-03-09 16:55:49.731372400 -0700
@@ -67,7 +67,7 @@
 {
     NS_LOG_FUNCTION(this);
     m_currentState = UanPhy::IDLE; // initially IDLE
-    m_lastUpdateTime = Seconds(0.0);
+    m_lastUpdateTime = Seconds(0);
     m_energyDepletionCallback.Nullify();
     m_node = nullptr;
     m_source = nullptr;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/acoustic-modem-energy-model.h ns-3.44/src/uan/model/acoustic-modem-energy-model.h
--- ns-3.43/src/uan/model/acoustic-modem-energy-model.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/acoustic-modem-energy-model.h	2025-03-09 16:55:49.731372400 -0700
@@ -18,7 +18,7 @@
 {
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * WHOI micro-modem energy model.
  *
@@ -53,7 +53,7 @@
   public:
     /**
      * Register this type.
-     * \return The object TypeId.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     /** Constructor. */
@@ -64,14 +64,14 @@
     /**
      * Sets pointer to node.
      *
-     * \param node Pointer to node.
+     * @param node Pointer to node.
      */
     virtual void SetNode(Ptr<Node> node);
 
     /**
      * Gets pointer to node.
      *
-     * \return Pointer to node.
+     * @return Pointer to node.
      */
     virtual Ptr<Node> GetNode() const;
 
@@ -82,75 +82,75 @@
     /**
      * Get the transmission power of the modem.
      *
-     * \return The transmission power in Watts.
+     * @return The transmission power in Watts.
      */
     double GetTxPowerW() const;
 
     /**
      * Set the transmission power of the modem.
      *
-     * \param txPowerW Transmission power in watts.
+     * @param txPowerW Transmission power in watts.
      */
     void SetTxPowerW(double txPowerW);
 
     /**
      * Get the receiving power.
      *
-     * \return The receiving power in Watts
+     * @return The receiving power in Watts
      */
     double GetRxPowerW() const;
 
     /**
      * Set the receiving power of the modem.
      *
-     * \param rxPowerW Receiving power in watts
+     * @param rxPowerW Receiving power in watts
      */
     void SetRxPowerW(double rxPowerW);
 
     /**
      *Get the idle power of the modem.
      *
-     * \return The idle power in Watts
+     * @return The idle power in Watts
      */
     double GetIdlePowerW() const;
 
     /**
      * Set the idle state power of the modem.
      *
-     * \param idlePowerW Idle power of the modem in watts.
+     * @param idlePowerW Idle power of the modem in watts.
      */
     void SetIdlePowerW(double idlePowerW);
 
     /**
      * Get the sleep state power of the modem.
      *
-     * \return Sleep power of the modem in Watts
+     * @return Sleep power of the modem in Watts
      */
     double GetSleepPowerW() const;
 
     /**
      * Set the sleep power of the modem.
      *
-     * \param sleepPowerW Sleep power of the modem in watts.
+     * @param sleepPowerW Sleep power of the modem in watts.
      */
     void SetSleepPowerW(double sleepPowerW);
 
     /**
      * Get the current state of the modem.
      *
-     * \return Current state.
+     * @return Current state.
      */
     int GetCurrentState() const;
 
     /**
-     * \param callback Callback function.
+     * @param callback Callback function.
      *
      * Sets callback for energy depletion handling.
      */
     void SetEnergyDepletionCallback(AcousticModemEnergyDepletionCallback callback);
 
     /**
-     * \param callback Callback function.
+     * @param callback Callback function.
      *
      * Sets callback for energy recharge handling.
      */
@@ -159,22 +159,22 @@
     /**
      * Changes state of the AcousticModemEnergyModel.
      *
-     * \param newState New state the modem is in.
+     * @param newState New state the modem is in.
      */
     void ChangeState(int newState) override;
 
     /**
-     * \brief Handles energy depletion.
+     * @brief Handles energy depletion.
      */
     void HandleEnergyDepletion() override;
 
     /**
-     * \brief Handles energy recharged.
+     * @brief Handles energy recharged.
      */
     void HandleEnergyRecharged() override;
 
     /**
-     * \brief Handles energy changed.
+     * @brief Handles energy changed.
      *
      * Not implemented
      */
@@ -184,20 +184,20 @@
     void DoDispose() override;
 
     /**
-     * \return Current draw of device, at current state.
+     * @return Current draw of device, at current state.
      */
     double DoGetCurrentA() const override;
 
     /**
-     * \param destState Modem state to switch to.
-     * \return True if the transition is allowed.
+     * @param destState Modem state to switch to.
+     * @return True if the transition is allowed.
      *
      * This function checks if a given modem state transition is allowed.
      */
     bool IsStateTransitionValid(const int destState);
 
     /**
-     * \param state New state the modem is currently in.
+     * @param state New state the modem is currently in.
      *
      * Sets current state. This function is private so that only the energy model
      * can change its own state.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-channel.h ns-3.44/src/uan/model/uan-channel.h
--- ns-3.43/src/uan/model/uan-channel.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-channel.h	2025-03-09 16:55:49.731372400 -0700
@@ -28,7 +28,7 @@
 class UanTxMode;
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Channel class used by UAN devices.
  */
@@ -46,7 +46,7 @@
 
     /**
      * Register this type.
-     * \return The object TypeId.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -57,10 +57,10 @@
     /**
      * Send a packet out on the channel.
      *
-     * \param src Transducer transmitting packet.
-     * \param packet Packet to be transmitted.
-     * \param txPowerDb Transmission power in dB.
-     * \param txmode UanTxMode defining modulation of transmitted packet.
+     * @param src Transducer transmitting packet.
+     * @param packet Packet to be transmitted.
+     * @param txPowerDb Transmission power in dB.
+     * @param txmode UanTxMode defining modulation of transmitted packet.
      */
     virtual void TxPacket(Ptr<UanTransducer> src,
                           Ptr<Packet> packet,
@@ -70,8 +70,8 @@
     /**
      * Adds device to receiver list for this channel.
      *
-     * \param dev Net Device of node.
-     * \param trans Transducer of net device attached to this channel.
+     * @param dev Net Device of node.
+     * @param trans Transducer of net device attached to this channel.
      */
     void AddDevice(Ptr<UanNetDevice> dev, Ptr<UanTransducer> trans);
 
@@ -79,7 +79,7 @@
      * Set the propagation model this channel will use
      * for path loss/propagation delay.
      *
-     * \param prop The propagation model.
+     * @param prop The propagation model.
      */
     void SetPropagationModel(Ptr<UanPropModel> prop);
 
@@ -87,15 +87,15 @@
      * Set the noise model this channel will use
      * to determine ambient channel noise.
      *
-     * \param noise The noise model.
+     * @param noise The noise model.
      */
     void SetNoiseModel(Ptr<UanNoiseModel> noise);
 
     /**
      * Get the noise level on the channel.
      *
-     * \param fKhz Frequency in kHz.
-     * \return Ambient noise in dB/Hz on channel at a frequency.
+     * @param fKhz Frequency in kHz.
+     * @return Ambient noise in dB/Hz on channel at a frequency.
      */
     double GetNoiseDbHz(double fKhz);
 
@@ -113,11 +113,11 @@
     /**
      * Send a packet up to the receiving UanTransducer.
      *
-     * \param i Device number.
-     * \param packet The received packet.
-     * \param rxPowerDb Signal power in dB of arriving packet.
-     * \param txMode Mode arriving packet is using.
-     * \param pdp PDP of arriving signal.
+     * @param i Device number.
+     * @param packet The received packet.
+     * @param rxPowerDb Signal power in dB of arriving packet.
+     * @param txMode Mode arriving packet is using.
+     * @param pdp PDP of arriving signal.
      */
     void SendUp(uint32_t i, Ptr<Packet> packet, double rxPowerDb, UanTxMode txMode, UanPdp pdp);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-header-common.h ns-3.44/src/uan/model/uan-header-common.h
--- ns-3.43/src/uan/model/uan-header-common.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-header-common.h	2025-03-09 16:55:49.731372400 -0700
@@ -18,7 +18,7 @@
 {
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  *  UAN protocol descriptor
  */
@@ -29,7 +29,7 @@
 };
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Common packet header fields.
  *
@@ -60,10 +60,10 @@
      * Create UanHeaderCommon object with given source and destination
      * address and header type
      *
-     * \param src Source address defined in header.
-     * \param dest Destination address defined in header.
-     * \param type Header type.
-     * \param protocolNumber the layer 3 protocol number
+     * @param src Source address defined in header.
+     * @param dest Destination address defined in header.
+     * @param type Header type.
+     * @param protocolNumber the layer 3 protocol number
      */
     UanHeaderCommon(const Mac8Address src,
                     const Mac8Address dest,
@@ -74,59 +74,59 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Set the destination address.
      *
-     * \param dest Address of destination node.
+     * @param dest Address of destination node.
      */
     void SetDest(Mac8Address dest);
     /**
      * Set the source address.
      *
-     * \param src Address of packet source node.
+     * @param src Address of packet source node.
      */
     void SetSrc(Mac8Address src);
     /**
      * Set the header type.
      *
      * Use of this value is protocol specific.
-     * \param type The type value.
+     * @param type The type value.
      */
     void SetType(uint8_t type);
     /**
      * Set the packet type.
      *
      * Used to indicate the layer 3 protocol
-     * \param protocolNumber The layer 3 protocol number value.
+     * @param protocolNumber The layer 3 protocol number value.
      */
     void SetProtocolNumber(uint16_t protocolNumber);
 
     /**
      * Get the destination address.
      *
-     * \return Mac8Address in destination field.
+     * @return Mac8Address in destination field.
      */
     Mac8Address GetDest() const;
     /**
      * Get the source address
      *
-     * \return Mac8Address in source field.
+     * @return Mac8Address in source field.
      */
     Mac8Address GetSrc() const;
     /**
      * Get the header type value.
      *
-     * \return value of type field.
+     * @return value of type field.
      */
     uint8_t GetType() const;
     /**
      * Get the packet type value.
      *
-     * \return value of protocolNumber field.
+     * @return value of protocolNumber field.
      */
     uint16_t GetProtocolNumber() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-header-rc.cc ns-3.44/src/uan/model/uan-header-rc.cc
--- ns-3.43/src/uan/model/uan-header-rc.cc	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-header-rc.cc	2025-03-09 16:55:49.731372400 -0700
@@ -24,7 +24,7 @@
 UanHeaderRcData::UanHeaderRcData()
     : Header(),
       m_frameNo(0),
-      m_propDelay(Seconds(0))
+      m_propDelay()
 {
 }
 
@@ -120,7 +120,7 @@
       m_frameNo(0),
       m_noFrames(0),
       m_length(0),
-      m_timeStamp(Seconds(0)),
+      m_timeStamp(),
       m_retryNo(0)
 {
 }
@@ -389,9 +389,9 @@
 UanHeaderRcCts::UanHeaderRcCts()
     : Header(),
       m_frameNo(0),
-      m_timeStampRts(Seconds(0)),
+      m_timeStampRts(),
       m_retryNo(0),
-      m_delay(Seconds(0)),
+      m_delay(),
       m_address(Mac8Address::GetBroadcast())
 {
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/model/uan-header-rc.h ns-3.44/src/uan/model/uan-header-rc.h
--- ns-3.43/src/uan/model/uan-header-rc.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/model/uan-header-rc.h	2025-03-09 16:55:49.731372400 -0700
@@ -19,7 +19,7 @@
 {
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Extra data header information.
  *
@@ -34,9 +34,9 @@
     /**
      * Constructor.
      *
-     * \param frameNum Data frame # of reservation being transmitted.
-     * \param propDelay  Measured propagation delay found in handshaking.
-     * \note Prop. delay is transmitted with 16 bits and ms accuracy.
+     * @param frameNum Data frame # of reservation being transmitted.
+     * @param propDelay  Measured propagation delay found in handshaking.
+     * @note Prop. delay is transmitted with 16 bits and ms accuracy.
      */
     UanHeaderRcData(uint8_t frameNum, Time propDelay);
     /** Destructor */
@@ -44,41 +44,41 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Set the frame number of the reservation being transmitted.
      *
-     * \param frameNum The data frame number.
+     * @param frameNum The data frame number.
      */
     void SetFrameNo(uint8_t frameNum);
     /**
      * Set the propagation delay as found in handshaking.
      *
-     * \param propDelay The measured propagation delay.
-     * \note Prop. delay is transmitted with 16 bits and ms accuracy.
+     * @param propDelay The measured propagation delay.
+     * @note Prop. delay is transmitted with 16 bits and ms accuracy.
      */
     void SetPropDelay(Time propDelay);
     /**
      * Get the frame number of the reservation being transmitted.
      *
-     * \return The data frame number.
+     * @return The data frame number.
      */
     uint8_t GetFrameNo() const;
     /**
      * Get the propagation delay found in handshaking.
      *
-     * \return The measured propagation delay.
-     * \note Prop. delay is transmitted with 16 bits and ms accuracy
+     * @return The measured propagation delay.
+     * @note Prop. delay is transmitted with 16 bits and ms accuracy
      */
     Time GetPropDelay() const;
     /**
      * Specialized Print with Time::Unit declared.
      *
-     * \param os ostream.
-     * \param unit Time unit.
+     * @param os ostream.
+     * @param unit Time unit.
      */
     void Print(std::ostream& os, Time::Unit unit) const;
 
@@ -96,7 +96,7 @@
 }; // class UanHeaderRcData
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * RTS header.
  *
@@ -110,12 +110,12 @@
     /**
      * Constructor.
      *
-     * \param frameNo Reservation frame number.
-     * \param retryNo Retry number of RTS packet.
-     * \param noFrames Number of data frames in reservation.
-     * \param length Number of bytes (including headers) in data.
-     * \param ts RTS TX timestamp.
-     * \note Timestamp is serialized into 32 bits with ms accuracy.
+     * @param frameNo Reservation frame number.
+     * @param retryNo Retry number of RTS packet.
+     * @param noFrames Number of data frames in reservation.
+     * @param length Number of bytes (including headers) in data.
+     * @param ts RTS TX timestamp.
+     * @note Timestamp is serialized into 32 bits with ms accuracy.
      */
     UanHeaderRcRts(uint8_t frameNo, uint8_t retryNo, uint8_t noFrames, uint16_t length, Time ts);
     /** Destructor */
@@ -123,33 +123,33 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Set the frame number.
      *
-     * \param fno TX frame number
+     * @param fno TX frame number
      */
     void SetFrameNo(uint8_t fno);
     /**
      * Set the number of data frames included in this reservation request.
      *
-     * \param no Number of frames.
+     * @param no Number of frames.
      */
     void SetNoFrames(uint8_t no);
     /**
      * Set RTS transmission time.
      *
-     * \param timeStamp The RTS transmission time.
+     * @param timeStamp The RTS transmission time.
      */
     void SetTimeStamp(Time timeStamp);
     /**
      * Set the number of data bytes in the reservation.
      *
-     * \param length Total number of data bytes in reservation (including headers).
-     * \note Timestamp is serialized with 32 bits in ms precision.
+     * @param length Total number of data bytes in reservation (including headers).
+     * @note Timestamp is serialized with 32 bits in ms precision.
      */
     void SetLength(uint16_t length);
     /**
@@ -157,46 +157,46 @@
      *
      * This is used to match timestamp to correctly received RTS.
      *
-     * \param no Retry number.
+     * @param no Retry number.
      */
     void SetRetryNo(uint8_t no);
 
     /**
      * Get the frame number.
      *
-     * \return The frame number.
+     * @return The frame number.
      */
     uint8_t GetFrameNo() const;
     /**
      * Get the number of data frames in the reservation.
      *
-     * \return The number of data frames.
+     * @return The number of data frames.
      */
     uint8_t GetNoFrames() const;
     /**
      * Get the transmit timestamp of this RTS packet.
      *
-     * \return The TX time.
-     * \note Timestamp is serialized with 32 bits in ms precision.
+     * @return The TX time.
+     * @note Timestamp is serialized with 32 bits in ms precision.
      */
     Time GetTimeStamp() const;
     /**
      * Get the total number of bytes in the reservation, including headers.
      *
-     * \return Total number of bytes in data packets for reservation.
+     * @return Total number of bytes in data packets for reservation.
      */
     uint16_t GetLength() const;
     /**
      * Get the retry number of this RTS packet.
      *
-     * \return The retry number.
+     * @return The retry number.
      */
     uint8_t GetRetryNo() const;
     /**
      * Specialized Print with Time::Unit declared.
      *
-     * \param os ostream.
-     * \param unit Time unit.
+     * @param os ostream.
+     * @param unit Time unit.
      */
     void Print(std::ostream& os, Time::Unit unit) const;
 
@@ -217,7 +217,7 @@
 }; // class UanHeaderRcRts
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Cycle broadcast information.
  *
@@ -231,10 +231,10 @@
     /**
      * Constructor
      *
-     * \param wt Window time.
-     * \param ts Timestamp.
-     * \param rate Rate number.
-     * \param retryRate  Retry rate value.
+     * @param wt Window time.
+     * @param ts Timestamp.
+     * @param rate Rate number.
+     * @param retryRate  Retry rate value.
      */
     UanHeaderRcCtsGlobal(Time wt, Time ts, uint16_t rate, uint16_t retryRate);
     /** Destructor */
@@ -242,65 +242,65 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Set the rate number corresponding to data rate of current cycle.
-     * \param rate The rate number.
+     * @param rate The rate number.
      */
     void SetRateNum(uint16_t rate);
     /**
      * Set the retry rate number for the current cycle.
-     * \param rate The retry rate number
+     * @param rate The retry rate number
      */
     void SetRetryRate(uint16_t rate);
     /**
      * Set the window time (time duration following blocking time
      * to allow RTS transmissions).
      *
-     * \param t The window time.
+     * @param t The window time.
      */
     void SetWindowTime(Time t);
 
     /**
      * Set the CTS timestamp.
      *
-     * \param timeStamp The time of CTS transmission.
+     * @param timeStamp The time of CTS transmission.
      */
     void SetTxTimeStamp(Time timeStamp);
 
     /**
      * Get the data rate number.
      *
-     * \return The rate number.
+     * @return The rate number.
      */
     uint16_t GetRateNum() const;
     /**
      * Get the retry rate number.
      *
-     * \return The retry rate number.
+     * @return The retry rate number.
      */
     uint16_t GetRetryRate() const;
     /**
      * Get the window time (time duration following blocking time
      * to allow RTS transmissions).
      *
-     * \return The window time.
+     * @return The window time.
      */
     Time GetWindowTime() const;
     /**
      * Get the CTS transmit timestamp.
      *
-     * \return The timestamp.
+     * @return The timestamp.
      */
     Time GetTxTimeStamp() const;
     /**
      * Specialized Print with Time::Unit declared.
      *
-     * \param os ostream.
-     * \param unit Time unit.
+     * @param os ostream.
+     * @param unit Time unit.
      */
     void Print(std::ostream& os, Time::Unit unit) const;
 
@@ -320,7 +320,7 @@
 }; // class UanHeaderRcCtsGlobal
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * CTS header
  *
@@ -335,12 +335,12 @@
     /**
      * Constructor
      *
-     * \param frameNo Reservation frame # being cleared.
-     * \param retryNo Retry # of received RTS packet.
-     * \param rtsTs RX time of RTS packet at gateway.
-     * \param delay Delay until transmission.
-     * \param addr Destination of CTS packet.
-     * \note Times are serialized, with ms precision, into 32 bit fields.
+     * @param frameNo Reservation frame # being cleared.
+     * @param retryNo Retry # of received RTS packet.
+     * @param rtsTs RX time of RTS packet at gateway.
+     * @param delay Delay until transmission.
+     * @param addr Destination of CTS packet.
+     * @note Times are serialized, with ms precision, into 32 bit fields.
      */
     UanHeaderRcCts(uint8_t frameNo, uint8_t retryNo, Time rtsTs, Time delay, Mac8Address addr);
     /** Destructor */
@@ -348,77 +348,77 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Set the RTS frame number being cleared.
      *
-     * \param frameNo The frame number.
+     * @param frameNo The frame number.
      */
     void SetFrameNo(uint8_t frameNo);
     /**
      * Set the timestamp for RTS reception.
      *
-     * \param timeStamp The timestamp.
+     * @param timeStamp The timestamp.
      */
     void SetRtsTimeStamp(Time timeStamp);
     /**
      * Set the time delay from CTS transmission to first data frame arrival.
      *
-     * \param delay The delay time.
+     * @param delay The delay time.
      */
     void SetDelayToTx(Time delay);
     /**
      * Set the retry number of the RTS frame being cleared.
      *
-     * \param no The retry number.
+     * @param no The retry number.
      */
     void SetRetryNo(uint8_t no);
     /**
      * Set the destination address, for scheduling info.
      *
-     * \param addr The destination address.
+     * @param addr The destination address.
      */
     void SetAddress(Mac8Address addr);
 
     /**
      * Get the frame number of the RTS being cleared.
      *
-     * \return The frame number.
+     * @return The frame number.
      */
     uint8_t GetFrameNo() const;
     /**
      * Get the receive time of the RTS being cleared.
      *
-     * \return The RX time.
+     * @return The RX time.
      */
     Time GetRtsTimeStamp() const;
     /**
      * Get the time delay from TX time of CTS packet until
      * arrival of first data frame.
      *
-     * \return The delay time.
+     * @return The delay time.
      */
     Time GetDelayToTx() const;
     /**
      * Get the retry number of the RTS packet being cleared.
      *
-     * \return The retry number
+     * @return The retry number
      */
     uint8_t GetRetryNo() const;
     /**
      * Get the destination address, for scheduling info.
      *
-     * \return The destination address.
+     * @return The destination address.
      */
     Mac8Address GetAddress() const;
     /**
      * Specialized Print with Time::Unit declared.
      *
-     * \param os ostream.
-     * \param unit Time unit.
+     * @param os ostream.
+     * @param unit Time unit.
      */
     void Print(std::ostream& os, Time::Unit unit) const;
 
@@ -439,7 +439,7 @@
 }; // class UanHeaderRcCts
 
 /**
- * \ingroup uan
+ * @ingroup uan
  *
  * Header used for ACK packets by protocol UanMacRc
  */
@@ -453,39 +453,39 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Set the frame number of the reservation being acknowledged.
      *
-     * \param frameNo The frame number.
+     * @param frameNo The frame number.
      */
     void SetFrameNo(uint8_t frameNo);
     /**
      * NACK a frame.
      *
-     * \param frame The data frame number being NACKed.
+     * @param frame The data frame number being NACKed.
      */
     void AddNackedFrame(uint8_t frame);
 
     /**
      * Get the set of NACK'ed frames.
      *
-     * \return The set of NACK'ed frames.
+     * @return The set of NACK'ed frames.
      */
     const std::set<uint8_t>& GetNackedFrames() const;
     /**
      * Get the reservation frame number being ACKed.
      *
-     * \return The frame number.
+     * @return The frame number.
      */
     uint8_t GetFrameNo() const;
     /**
      * Get the number of data frames being NACKed.
      *
-     * \return The number of NACKed frames.
+     * @return The number of NACKed frames.
      */
     uint8_t GetNoNacks() const;
 
